Plugin MetaSearch crash
Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:3.4.6 Regression?: No

Operating System: Xubuntu linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29699

Description

Every time I start QGIS I see this error message: 

Plugin MetaSearch: The plugin will be disabled because it crashed QGIS during last startup. Please report an issue and re-enable the

plugin when the problem has been solved.

This was previously reported as Bug report #18176 but closed due to lack of information.

The issue has been present since upgrading to the current LTR via the Software Center. I do not see a crash in QGIS on startup - the

programme appears to start normally. I do not use the specific plugin so this does not appear to cause any problems in use. The plugin is

currently disabled but the crash report always appears on startup. The only possible related issue is that Linux reports that QGIS crashed

on exit if I close QGIS with a project open. If I close the active project and then close QGIS, there is no report that QGIS crashed on exit.

My only non-standard plugin I am aware of is QuickMapServices with the contributed pack. I do not wish to disable this plugin because I

use it on a daily basis.

QGIS version: 3.4.6-Madeira

QGIS code revision: 70d5e7e

Compiled against Qt: 5.9.5

Running against Qt: 5.9.5

Compiled against GDAL/OGR: 2.2.3

Running against GDAL/OGR: 2.2.3

Compiled against GEOS: 3.6.2-CAPI-1.10.2

Running against GEOS: 3.6.2-CAPI-1.10.2 4d2925d6

PostgreSQL Client Version: 10.6 (Ubuntu 10.6-0ubuntu0.18.04.1)

SpatiaLite Version: 4.3.0a

QWT Version: 6.1.3

QScintilla2 Version: 2.10.2

PROJ.4 Version: 493

OS: Ubuntu 18.04.2 LTS [Xubuntu]

Kernel: Linux 4.15.0-47-generic

Architecture: x86-64

CPU: AMD A8-5600K APU with Radeon(tm) HD Graphics

RAM: 8Gb

Related issues:

Duplicates QGIS Application - Bug report # 18176: Plugin MetaSearch crashed Closed 2018-02-22

History

#1 - 2019-04-18 09:25 PM - Jürgen Fischer

- Duplicates Bug report #18176: Plugin MetaSearch crashed added
#2 - 2019-04-18 09:26 PM - Jürgen Fischer

- Assignee deleted (Borys Jurgiel)

- Category changed from Plugin Manager to Python plugins

#3 - 2019-04-18 09:38 PM - Borys Jurgiel

- Assignee set to Borys Jurgiel

Yeah, I don't like the watchdog too - it makes a lot of buzz and sometimes blames wrong plugins. However, improving it is another topic.

Your error message means that the MetaSearch plugin is enabled and QGIS tries to load it every time. Its checkbox in the Plugin manager may be

unchecked because of the failed load, but it's still saved in QGIS settings as enabled. So please try to check the checkbox in Plugin Manager and then

disable it back, explicitly telling QGIS to not load it next time. It should help.

#4 - 2019-04-18 09:38 PM - Borys Jurgiel

- Assignee deleted (Borys Jurgiel)

#5 - 2019-04-18 10:37 PM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2019-04-19 10:11 AM - Nick Nourse

Feedback:

As stated, the plugin checkbox was clear and I had the error message on startup. I have now enabled the plugin and closed and started QGIS several

times and it starts without any warnings. I have attempted a very brief test of the Metasearch plugin by referring to the QGIS Userguide (v2.8) and the

plugin appears to work as it should without warnings or failing. Thanks, this is a very obvious test I should have tried.

#7 - 2019-04-19 10:24 AM - Giovanni Manghi

- Status changed from Feedback to Closed
